3 Replies Latest reply on Jun 10, 2013 4:46 PM by Nawa Manusitthipol

    Migrate from 7.1.1 to EAP 6.1 and got this deployment errors.

    Nawa Manusitthipol Newbie

      Hi all,

       

      We are attempting to migrate from 7.1.1 to EAP6.1 after wresting with standalone-full.xml and other issues, we are down to these errors which we have no idea where should we start solving it.

       

      {"JBAS014771: Services with missing/unavailable dependencies" => [

         "jboss.deployment.subunit.\"Some.ear\".\"Another.war\".component.EventSourceConfiguration.CREATE is missing [jboss.security.security-domain.osg]",

      }}

       

      What does this mean?

       

      I am sure you guy will proprably need more information to help solving this but, as I said, I don't even know where to start. So just let me know what info do you need.

       

      Thanks in advance.

        • 1. Re: Migrate from 7.1.1 to EAP 6.1 and got this deployment errors.
          Tomaz Cerar Master

          hi,

           

          you are missing configuration for security domain named osg, your app refers to it.

           

          probably just oversight when migrating configuration, take a look at security subsystem

          1 of 1 people found this helpful
          • 2. Re: Migrate from 7.1.1 to EAP 6.1 and got this deployment errors.
            Nawa Manusitthipol Newbie

            Thanks for your anwser.

             

            I've diffed the standalone-full.xml and the security subsystem looked identical. Here is the code.

             

                    <subsystem xmlns="urn:jboss:domain:security:1.2">
                        <security-domains>
                            <security-domain name="other" cache-type="default">
                                <authentication>
                                    <login-module code="Remoting" flag="optional">
                                        <module-option name="password-stacking" value="useFirstPass"/>
                                    </login-module>
                                    <login-module code="RealmUsersRoles" flag="required">
                                        <module-option name="usersProperties" value="${jboss.server.config.dir}/application-users.properties"/>
                                        <module-option name="rolesProperties" value="${jboss.server.config.dir}/application-roles.properties"/>
                                        <module-option name="realm" value="ApplicationRealm"/>
                                        <module-option name="password-stacking" value="useFirstPass"/>
                                    </login-module>
                                </authentication>
                            </security-domain>
                            <security-domain name="jboss-web-policy" cache-type="default">
                                <authorization>
                                    <policy-module code="Delegating" flag="required"/>
                                </authorization>
                            </security-domain>
                            <security-domain name="jboss-ejb-policy" cache-type="default">
                                <authorization>
                                    <policy-module code="Delegating" flag="required"/>
                                </authorization>
                            </security-domain>
                        </security-domains>
                    </subsystem>

             

            From this section, there is a default security module named "other", wouldn't that be enough?

            • 3. Re: Migrate from 7.1.1 to EAP 6.1 and got this deployment errors.
              Nawa Manusitthipol Newbie

              I tried adding security domain named "osg" (just duplicate of the "other") and now the application is deployed. So it seems that the problem JBoss does not fall back to the domain "other" like in other version (either or not it is the desired behaviour).

               

              Thanks